# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Catalyst/Test.pm) perl(Moose/Role.pm) perl(MooseX/Types/Moose.pm) perl(Scalar/Util.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-CatalystX-LeakChecker
Summary:        Debug memory leaks in Catalyst applications
Version:        0.06
Release:        alt1_10
License:        GPL+ or Artistic
Group:          Development/Perl
Source0:        http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/CatalystX-LeakChecker-%{version}.tar.gz
URL:            http://search.cpan.org/dist/CatalystX-LeakChecker
BuildArch:      noarch

BuildRequires:  perl(B/Deparse.pm)
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Devel/Cycle.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/AttributeHelpers.pm)
BuildRequires:  perl(MooseX/Types.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(PadWalker.pm)
BuildRequires:  perl(Task/Weaken.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Text/SimpleTable.pm)

# note the explicit versioning
Requires:       perl(Catalyst.pm) >= 5.8
Requires:       perl(Devel/Cycle.pm) >= 1.11
Requires:       perl(namespace/clean.pm) >= 0.05
Requires:       perl(PadWalker.pm) >= 1.8



%{?perl_default_subpackage_tests}
Source44: import.info

%description
It's easy to create memory leaks in Catalyst applications and often
they're hard to find. This module tries to help you finding them by
automatically checking for common causes of leaks.  This module is
intended for debugging only. I suggest to not enable it in a production
environment.

%prep
%setup -q -n CatalystX-LeakChecker-%{version}

%build
%{?perl_ext_env_unset}
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_10
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_9
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_7
- fc import

